Hi,
did you
Code:
--------------------
chmod u+x /etc/init.d/squeezelite
--------------------
do you have a line in /etc/init.d/squeezelite with
DAEMON=/USR/BIN/$NAME
Is squeezelite stored in this folder?
I am not a very happy user with pulse i'd remove it everytime i found it
(on a fresh install)
You normaly not need ffmpeg
Code:
--------------------
apt-get install -y libflac-dev libfaad2 libmad0
--------------------
should be fine
Code:
--------------------
#! /bin/sh
### BEGIN INIT INFO
# Provides: Squeezelite
# Required-Start:
# Required-Stop:
# Should-Start:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Squeezelite
# Description: Light weight streaming audio player for Logitech's
Squeezebox audio server
# See: http://code.google.com/p/squeezelite/
# and:
http://forums.slimdevices.com/showthread.php?97046-Announce-Squeezelite-a-small-headless-squeezeplay-emulator
for-linux-%28alsa-on
### END INIT INFO
# See for full install instructions:
http://www.raspberrypi.org/phpBB3/viewtopic.php?f=38&t=25778
# Uninstall Instructions : update-rc.d squeezelitehf remove
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Squeezebox client"
NAME=squeezelite-armv6hf
DAEMON=/usr/bin/$NAME
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/squeezelite
# get mac address from wifi adapter or on board network card
SL_MAC_ADDRESS=$(ifconfig | grep 'wlan0' | tr -s ' ' | cut -d ' ' -f5)
[ -n "$SL_MAC_ADDRESS" ] || SL_MAC_ADDRESS=$(ifconfig | grep 'eth0' | tr -s '
' | cut -d ' ' -f5)
# get hostname which can be used as hostname
# watch out, on raspbian, you can only use letters, numbers and hyphens
(minus sign, "-"). And nothing else!
### SL_NAME=$(hostname -s)
[ -n "$SL_NAME" ] || SL_NAME=SqueezelitePlayer
# Get squeezelite version, for logging and update procedure
SL_VERSION=$(sudo $DAEMON -t | grep "Squeezelite v" | tr -s ' ' | cut -d ','
-f1 | cut -d ' ' -f2)
# =========================================================
# CHANGE THESE VALUES IF NEEDED
# Set Playername
# SL_NAME="player"
# Set the soundcard
# SL_SOUNDCARD="front:CARD=Device,DEV=0"
# Set Fake mac address (-m option):
# SL_MAC_ADDRESS="06:05:04:03:02:01"
# Note: when left commented squeezelite will use the mac address of
your ethernet card or
# wifi adapter, which is what you want.
# If you change it to something different, it will give problems
is you use mysqueezebox.com .
# Uncomment the next line (remove hash) if you want to point squeezelite
# at the IP address of your squeezebox server (-s option). And change the IP
address of course..
# SB_SERVER_IP="x.x.x.x"
# Note: if this is not set, Squeezelite will use auto discovery to
find the LMS server, which works fine too.
# SL_ALSA_PARAMS="160"
# Uncomment the next TWO lines to turn on logging (-f and -d option):
#SL_LOGFILE=/var/log/squeezelite.log
#SL_LOGLEVEL="all=debug"
# =========================================================
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
# do startupsound
# /usr/local/bin/startupsound.sh
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test >
/dev/null || return 1
DAEMON_ARGS=""
# add soundcard setting if set
if [ ! -z "$SL_SOUNDCARD" ]; then
DAEMON_ARGS="${DAEMON_ARGS} -o ${SL_SOUNDCARD}"
fi
# add squeezelite name if set
if [ ! -z "$SL_NAME" ]; then
DAEMON_ARGS="${DAEMON_ARGS} -n ${SL_NAME}"
fi
# add mac address if set
if [ ! -z "$SL_MAC_ADDRESS" ]; then
DAEMON_ARGS="${DAEMON_ARGS} -m ${SL_MAC_ADDRESS}"
fi
# add squeezebox server ip address if set
if [ ! -z "$SB_SERVER_IP" ]; then
DAEMON_ARGS="${DAEMON_ARGS} -s ${SB_SERVER_IP}"
fi
# set ALSA parameters if set
if [ ! -z "$SL_ALSA_PARAMS" ]; then
DAEMON_ARGS="${DAEMON_ARGS} -a ${SL_ALSA_PARAMS}"
fi
# add logging if set
if [ ! -z "$SL_LOGFILE" ]; then
if [ -f ${SL_LOGFILE} ]; then
rm ${SL_LOGFILE}
fi
DAEMON_ARGS="${DAEMON_ARGS} -f ${SL_LOGFILE}"
fi
# add log level setting if set
if [ ! -z "$SL_LOGLEVEL" ]; then
DAEMON_ARGS="${DAEMON_ARGS} -d ${SL_LOGLEVEL}"
fi
start-stop-daemon --start --quiet --make-pidfile --pidfile $PIDFILE
--background --exec $DAEMON -- $DAEMON_ARGS || return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
--exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
## do shutdownsound
## /usr/local/bin/shutdownsound.sh
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
--------------------
Gruss
Jan
------------------------------------------------------------------------
DJanGo's Profile: http://forums.slimdevices.com/member.php?userid=1516
View this thread: http://forums.slimdevices.com/showthread.php?t=101436
_______________________________________________
plugins mailing list
[email protected]
http://lists.slimdevices.com/mailman/listinfo/plugins